#  Author    : zamofing_t

#Terminator   = CR;
#ExtraInput   = Ignore;
WaitDelay    = 40;
WriteTimeout = 500;
ReplyTimeout = 4000;
#ReadTimeout = 500;

# ---------------- debug DEBUG debug DEBUG----------- #

debug {
    out "%s";wait $WaitDelay; in "%#s"
}

#same as debug but without readback
debug0 {
    out "%s";
}

moveXYUVW {
  out "cpx abs linear;call 15; X(%(\$1X.VAL)f)Y(%(\$1Y.VAL)f)U(%(\$1U.VAL)f)V(%(\$1V.VAL)f)W(%(\$1W.VAL)f);call 16";
  wait $WaitDelay;
  in "%#s"
}